Doomsday Engine - Feature #1754

Start local server using client GUI
2014-04-18 07:36 - skyjake

Status: New Start date: 2014-04-18
Priority: High % Done: 0%
Assignee: skyjake

Category: Enhancement

Target version: Multiplayer

Description

In order to facilitate #9 and MP gameplay improvements, it should be possible to start a local server also via the client GUI.

In essence, this means the client can also act as a minimal Shell application. libshell needs to be enhanced to avoid any possible
Ul/feature redundancy between the Shell apps and the client's server manipulation Ul.

This feature only covers ad-hoc servers: the server will be stopped when the hosting player quits.

Related issues:
Related to Feature #9: Use local server to run single-player games

Related to Feature #1638: Configure game options via Shell GUI

Progressed 2014-04-18
Closed 2013-10-24

History

#1 - 2015-01-22 10:54 - skyjake
- Priority changed from Normal to High

#2 - 2015-01-22 10:55 - skyjake
- Description updated

- Assignee set to skyjake

#3 - 2015-01-22 10:56 - skyjake

- Target version set to 50

#4 - 2015-01-22 10:57 - skyjake
- Related to Feature #1638: Configure game options via Shell GUI added

#5 - 2016-03-27 08:04 - skyjake
- Target version changed from 50 to 2.1 (Late 2018)

#6 - 2018-07-29 16:46 - skyjake
- Target version changed from 2.1 (Late 2018) to Multiplayer
